Summary: Utility package for the standard HEP event format
Name: HepMC3
Version: 3.2.5
Release: 12%{?dist}2b
License: GPL version 3
Vendor: JLC
Group: HEP
URL: https://gitlab.cern.ch/hepmc/HepMC3
Source: https://gitlab.cern.ch/hepmc/HepMC3/-/tree/3.2.5/HepMC3-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Prefix: /opt/%{name}/%{version}

%description
HepMC3 is a new rewrite of HepMC event record. It uses shared pointers
for in-memory navigation and the POD concept for the persistency.


%prep
%setup -n %{name}-%{version}
rm -rf %{_tmppath}/%{name}-root

%build
mkdir build
cd build
source `rpm -ql root | grep thisroot.sh | tail -1`
cmake -DCMAKE_C_COMPILER=clang \
      -DCMAKE_CXX_COMPILER=clang++ \
      -DCMAKE_INSTALL_PREFIX=%{prefix} \
      -DCPACK_SET_DESTDIR=ON ..

make %{?_smp_mflags}

%install
cd build
source `rpm -ql root | grep thisroot.sh | tail -1`
env DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog DESIGN LICENCE README* examples
%{prefix}/*
/Library/Python/2.7/site-packages/*

%changelog
* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 3.2.5-12hepx2b
- 2nd release of version 3.2.5 on MacOS 12 for M1 Macs
- built with OSXWS 12beta and clang

* Thu Feb 24 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 3.2.5-12hepx2a
- 1st release of version 3.2.5 on MacOS 12 for M1 Macs
- built with OSXWS 11 and clang

* Wed Jan 29 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 3.2.0-10.15hepx2a
- 1st release of version 3.2.0 on MacOSX 10.15 for Intel Macs
- rebuilt with OSXWS 10.15 and the readlink option

* Sun Dec 29 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 3.2.0-10.14hepx2a
- 2nd release of version 3.2.0 on MacOSX 10.14 for Intel Macs
- rebuilt with OSXWS 10.14 and the readlink option
